API ReferenceapiclinicalGET /v1/lab-orders/{id}

GET /v1/lab-orders/\{id\}

Service: clinical · operationId: (none)

Fetch a Junction-backed lab order by id

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Lab order detail

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "brand_id": {
      "type": "string"
    },
    "patient_id": {
      "type": "string",
      "format": "uuid"
    },
    "junction_order_id": {
      "type": "string"
    },
    "panel_id": {
      "type": "string"
    },
    "status": {
      "type": "string"
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    },
    "completed_at": {
      "type": [
        "string",
        "null"
      ],
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "brand_id",
    "patient_id",
    "junction_order_id",
    "panel_id",
    "status",
    "created_at",
    "completed_at"
  ]
}

404 Lab order not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://clinical.platform.loop.health/v1/lab-orders/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"